Subject: Re: bug#79300: fold-nbsp test failure

From: Collin Funk <[email-masked]>
Date: Thu, 28 Aug 2025 20:41:33 -0700

Bruno Haible <[email-masked]> writes:

> Collin Funk wrote:
>> My initial idea was to check if U+2007 FIGURE SPACE and U+00A0 NO-BREAK
>> SPACE are blank using grep. But apparently Solaris grep does not handle
>> multibyte characters. Therefore, FIGURE SPACE cannot be checked. :(
>
> I'm not sure we are talking about the same thing. I reported the test
> failure from the fold-nbsp test, as committed in git. It does not use
> 'grep'. It uses 'compare' (from tests/init.sh).

Sorry, should have been more clear.

I was trying to think of a workaround, i.e. check if U+2007 is
considered blank or not. And then decide if the test should be skipped.

Collin